Bug 95220 - FILEOPEN: Crash on opening attached Calc template
Summary: FILEOPEN: Crash on opening attached Calc template
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: x86-64 (AMD64) All
: high critical
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-10-21 12:25 UTC by Aurimas Fišeras
Modified: 2016-10-25 19:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Causes a crash on file open (105.26 KB, application/vnd.oasis.opendocument.spreadsheet-template)
2015-10-21 12:25 UTC, Aurimas Fišeras
Details
Backtrace of crash on Windows 5.0.2 (7.14 KB, text/plain)
2015-10-21 19:01 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aurimas Fišeras 2015-10-21 12:25:55 UTC
Created attachment 119821 [details]
Causes a crash on file open

Attached document crashes LibreOffice 5.0.2.2 on Ubuntu 15.10 64-bit.
Also crashes LibreOffice 5.1.0.0.alpha1+ (f60c9ae01fed5ae5f8d51778f06cefe3d461f25f) lt-LT (lt_LT.UTF-8) on the same computer.

No crash on LibreOffice 4.4.6 on Windows.
Comment 1 Aurimas Fišeras 2015-10-21 12:42:57 UTC
I meant
LibreOffice 5.1.0.0.alpha1+ (11c7da74d5633d55c11d1ec04dd0096cb96f88f0)
Comment 2 Oliver Brinzing 2015-10-21 16:42:54 UTC
no crash with lo  5.1.0.0.alpha1+ e2a7cb31ed5b413ea2f846d0a5c562d1ad97195a
debug build on win 7 64bit
Comment 3 Buovjaga 2015-10-21 19:01:37 UTC
Repro.

4.3.0.1 doesn't crash.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 4 Buovjaga 2015-10-21 19:01:54 UTC
Created attachment 119844 [details]
Backtrace of crash on Windows 5.0.2
Comment 5 Puggan SE 2015-10-21 20:59:39 UTC
bibisected with 50max using:
git bisect run bash -c "opt/program/soffice ../bug_95220/test.ots || exit 1"

conclution:
3a568a583c994257cf057ea1471c8a1f69fee719 is the first bad commit
commit 3a568a583c994257cf057ea1471c8a1f69fee719
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 21:41:45 2015 +0800

    source-hash-afb82d3729bda2754d0add08cc6c4dce1dc76d59
    
    commit afb82d3729bda2754d0add08cc6c4dce1dc76d59
    Author:     Siqi Liu <me@siqi.fr>
    AuthorDate: Tue Apr 14 00:55:04 2015 +0200
    Commit:     Siqi Liu <me@siqi.fr>
    CommitDate: Tue Apr 14 00:55:17 2015 +0200
    
        implement SfxObjectShell subclasses' LOK interface
    
        Change-Id: Iee2fbf71375631a349992a90c67c1c4c34e6ba3b

:040000 040000 8aa29e165904416ae036d2ee184643f7c94f858e 65eeae901b517e7194858b991336332c2d503e6f M      opt
bisect run success

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afb82d3729bda2754d0add08cc6c4dce1dc76d59

log:
# bad: [dda106fd616b7c0b8dc2370f6f1184501b01a49e] source-hash-0db96caf0fcce09b87621c11b584a6d81cc7df86
# good: [5b9dd620df316345477f0b6e6c9ed8ada7b6c091] source-hash-2851ce5afd0f37764cbbc2c2a9a63c7adc844311
git bisect start 'latest' 'oldest'
# skip: [891b689ba95b9e53609194ee2a1a2d3b8955843c] source-hash-01f406bc28f53acc5a2734af637aa8074a5d1813
git bisect skip 891b689ba95b9e53609194ee2a1a2d3b8955843c
# good: [0c30a2c797b249d0cd804cb71554946e2276b557] source-hash-45aaec8206182c16025cbcb20651ddbdf558b95d
git bisect good 0c30a2c797b249d0cd804cb71554946e2276b557
# good: [2ce02b2ce56f12b9fcb9efbd380596975a3a5686] source-hash-17d714eef491bda2512ba8012e5b3067ca19a5be
git bisect good 2ce02b2ce56f12b9fcb9efbd380596975a3a5686
# bad: [19902c835ff03b54347c31ebbc436895b372303b] source-hash-4000a0e6524f09612a3fe8f0a6214e0a68b7e007
git bisect bad 19902c835ff03b54347c31ebbc436895b372303b
# bad: [530f0c73f208cd84ed14de7d263f844a7c8e00f9] source-hash-c33422e2c21ed8160fbbb969698216a8a1aeb0b8
git bisect bad 530f0c73f208cd84ed14de7d263f844a7c8e00f9
# bad: [65755dc98fdc972c90f86f7102d7855c833a51ec] source-hash-a75d90740647414f55ef5a37bdfb230d624ec2eb
git bisect bad 65755dc98fdc972c90f86f7102d7855c833a51ec
# bad: [63669f7f89d46ab9c61c4d14327cb3488b9cf5cd] source-hash-aaf94fc88cde090ed2e153f2b9e4c2764def7286
git bisect bad 63669f7f89d46ab9c61c4d14327cb3488b9cf5cd
# bad: [9a73d17a9edfcdab945cb8b24ff8348c2eff9a64] source-hash-d0113938fc1d3996921c683c1fd2ce244083cb02
git bisect bad 9a73d17a9edfcdab945cb8b24ff8348c2eff9a64
# good: [eba219c7460f68be15abb1bd3c347cb525f597a8] source-hash-7e9bff63166189f78582356f428405c391f766f9
git bisect good eba219c7460f68be15abb1bd3c347cb525f597a8
# good: [1190e4b997116d5a6f8961e2a38f3712e0034a00] source-hash-51e0d789c344547956764c3b5f0ef5a304f4e0aa
git bisect good 1190e4b997116d5a6f8961e2a38f3712e0034a00
# bad: [3f30843cc77a9ffe85bcb49011e5de01eb1896f3] source-hash-bc892b04144d82507ccd59953c9f4da357c2e7b4
git bisect bad 3f30843cc77a9ffe85bcb49011e5de01eb1896f3
# bad: [b815435b9e6162a2f3fb0ae4800bab8297baa1b1] source-hash-ef0340bdafabd51598ad7cf3c647cd35ea09f4e9
git bisect bad b815435b9e6162a2f3fb0ae4800bab8297baa1b1
# good: [ad481a1873dade3e26d9ef9e9e69f084d475a3c8] source-hash-855b0af13803c810593ed16ad65eed542d023756
git bisect good ad481a1873dade3e26d9ef9e9e69f084d475a3c8
# bad: [3a568a583c994257cf057ea1471c8a1f69fee719] source-hash-afb82d3729bda2754d0add08cc6c4dce1dc76d59
git bisect bad 3a568a583c994257cf057ea1471c8a1f69fee719
# first bad commit: [3a568a583c994257cf057ea1471c8a1f69fee719] source-hash-afb82d3729bda2754d0add08cc6c4dce1dc76d59
Comment 6 Mike Kaganski 2015-10-24 09:09:23 UTC
Posted a patch to gerrit for review:
https://gerrit.libreoffice.org/19570
Comment 7 Commit Notification 2015-10-24 16:46:52 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fc31c1569ba1dc0e2e3aaf9eb8f0747776daa04

tdf#95220: Check if DrawingLayer is not nullptr

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-10-24 17:12:40 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a00b977b617bdd9ef263067e95d26c3953c575c&h=libreoffice-5-0

tdf#95220: Check if DrawingLayer is not nullptr

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-14 05:17:00 UTC Comment hidden (obsolete)